# vim: set sw=4 ts=4 et nu:

Name:               gtk-gnutella
Version:            0.98.2
Release:            1.57
Summary:            Gnutella Peer to Peer Client
Source:             http://prdownloads.sourceforge.net/gtk-gnutella/gtk-gnutella-%{version}.tar.bz2
Patch1:             gtk-gnutella-remove_DATE_from_entropy.patch
URL:                http://gtk-gnutella.sourceforge.net/
Group:              Productivity/Networking/Other
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gtk2-devel
BuildRequires:      zlib-devel
BuildRequires:      libgnutls-devel
BuildRequires:      dbus-1-devel
BuildRequires:      dbus-1-glib-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      update-desktop-files
%if 0%{?suse_version} >= 1030
BuildRequires:      fdupes
%endif

%description
Gtk-Gnutella is a full-featured Gnutella client using GTK+. It contains all
widely deployed Gnutella features, including DHT support. It is extremely
efficient, using little CPU time and memory. It is meant to be left running
24x7. It is fully compatible with UPnP and NAT-PMP, and as such is easy to use
behind a firewall supporting one of these port mapping technologies.

%prep
%setup -q
%patch1

%build
./build.sh \
    --gtk2 \
    --prefix="%{_prefix}" \
    --bindir="%{_bindir}" \
    --datadir="%{_datadir}/%{name}" \
    --libdir="%{_libdir}" \
    --localedir="%{_datadir}/locale" \
    --mandir="%{_mandir}" \
    --cc="%__cc" \
    --cflags="%{optflags}" \
    --cppflags="%{optflags}" \
    --make="%__make" \
    --configure-only \
    --verbose

%__make %{?_smp_flags}

%install
%__make INSTALL_PREFIX="%{buildroot}" install
%__rm "%{buildroot}%{_libdir}"/*.nm

%if 0%{?suse_version} >= 1030
%fdupes -s "%{buildroot}%{_datadir}/%{name}/"
%endif

%suse_update_desktop_file -r "%{name}" Network FileTransfer

%find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lang"
%defattr(-,root,root)
%doc AUTHORS ChangeLog GEO_LICENSE LICENSE README TODO
%{_bindir}/gtk-gnutella
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*

%changelog
* Sat May  5 2012 seife+obs@b1-systems.com
- update to 0.98.2, see ChangeLog for details
  * this builds again on openSUSE >= 12.1
* Sat Sep 24 2011 pascal.bleser@opensuse.org
- update to 0.97.1:
* Thu Jul 21 2011 pascal.bleser@opensuse.org
- initial version (0.97)
